[data-block-name="woocommerce/add-to-cart-with-options"] {
	margin-top: var(--wp--preset--spacing--4) !important;
}

form.wp-block-add-to-cart-with-options {

	.wc-block-components-quantity-selector {
		border-radius: 12px;
		align-items: center;
		border: 2px solid var(--wp--preset--color--slate-200);

		&::after {
			border: 0;
		}

		@media (max-width: 470px) {
			gap: 0;
		}


		input.input-text {
			font-size: var(--wp--preset--font-size--small);
			font-weight: 500;
			display: flex;
			width: 44px;
			height: 44px;
			padding: 12px 0;
			justify-content: center;
			align-items: center;
			gap: 0;
			border: 0;
			margin-top: 0;

			@media (max-width: 470px) {
				width: 16px;
				height: 16px;
			}

		}

		.wc-block-components-quantity-selector__button--minus,
		.wc-block-components-quantity-selector__button--plus {
			width: 44px;
			height: 44px;
			padding: 12px;
			color: var(--wp--preset--color--slate-700);

			@media (max-width: 470px) {
				padding: 8px;
				width: 16px;
			}
		}

		button.wc-block-components-quantity-selector__button,
		input.input-text {
			outline: none;
			box-shadow: none;
		}
	}

	.wc-block-components-product-stock-indicator--out-of-stock,
	.wp-block-button__link {
		width: 100% !important;
	}

	.wc-block-components-product-stock-indicator {
		font-size: 14px;
		display: flex;
		align-items: center;
		gap: 8px;
		margin-bottom: 16px !important;

		&.wc-block-components-product-stock-indicator--in-stock,
		&.wc-block-components-product-stock-indicator--out-of-stock,
		&.wc-block-components-product-stock-indicator--available-on-backorder {

			&::before {
				content: "";
				display: inline-block;
				width: 18px;
				height: 18px;
				vertical-align: middle;
				background-repeat: no-repeat;
				background-size: contain;
			}
		}

		&.wc-block-components-product-stock-indicator--in-stock {

			&::before {
				background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 18 18' fill='none'><rect width='18' height='18' rx='9' fill='%2315803D'/><path fill-rule='evenodd' clip-rule='evenodd' d='M13.3536 5.64645C13.5488 5.84171 13.5488 6.15829 13.3536 6.35355L7.85355 11.8536C7.65829 12.0488 7.34171 12.0488 7.14645 11.8536L4.64645 9.35355C4.45118 9.15829 4.45118 8.84171 4.64645 8.64645C4.84171 8.45118 5.15829 8.45118 5.35355 8.64645L7.5 10.7929L12.6464 5.64645C12.8417 5.45118 13.1583 5.45118 13.3536 5.64645Z' fill='white'/></svg>");
			}
		}

		&.wc-block-components-product-stock-indicator--out-of-stock {
			border-radius: 9999px;
			width: auto;
			text-align: center;

			&::before {
				background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 18 18' fill='none'><rect width='18' height='18' rx='9' fill='%23E11D48'/><path fill-rule='evenodd' clip-rule='evenodd' d='M6.17135 6.17155C6.36661 5.97628 6.68319 5.97628 6.87846 6.17155L11.8282 11.1213C12.0235 11.3166 12.0235 11.6331 11.8282 11.8284C11.6329 12.0237 11.3164 12.0237 11.1211 11.8284L6.17135 6.87865C5.97609 6.68339 5.97609 6.36681 6.17135 6.17155Z' fill='white'/><path fill-rule='evenodd' clip-rule='evenodd' d='M11.8287 6.17155C12.0239 6.36681 12.0239 6.68339 11.8287 6.87865L6.8789 11.8284C6.68364 12.0237 6.36706 12.0237 6.1718 11.8284C5.97653 11.6331 5.97653 11.3166 6.1718 11.1213L11.1215 6.17155C11.3168 5.97628 11.6334 5.97628 11.8287 6.17155Z' fill='white'/></svg>");
			}
		}

		&.wc-block-components-product-stock-indicator--available-on-backorder {

			&::before {
				background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 18 18' fill='none'><rect width='18' height='18' rx='9' fill='%233B82F6'/><path d='M12.5 9a3.5 3.5 0 1 1-1.02-2.48' stroke='white' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/><path d='M12.5 5.5v3h-3' stroke='white' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/></svg>");
			}
		}
	}

	.wc-block-components-product-stock-indicator:empty::before {
		content: none;
	}

	.wp-block-woocommerce-add-to-cart-with-options-variation-description,
	.wp-block-woocommerce-add-to-cart-with-options-variation-selector {
		margin-bottom: var(--wp--preset--spacing--2-5);
	}

	.wp-block-woocommerce-add-to-cart-with-options-variation-selector {
		display: flex;
		flex-direction: column;
		gap: 24px;
		margin-bottom: 0;

		.wp-block-woocommerce-add-to-cart-with-options-variation-selector-attribute {

			> .wp-block-group {
				gap: 10px;
			}

			label {
				margin-bottom: 0;

				&.wp-block-woocommerce-add-to-cart-with-options-variation-selector-attribute-name {
					font-size: 14px;
					line-height: 20px;
				}

				&.wc-block-add-to-cart-with-options-variation-selector-attribute-options__pill {
					background: transparent;
					border: 2px solid var(--wp--preset--color--slate-200);
					border-radius: 100px;
					padding: 12px 20px;
					font-size: 14px;
					font-weight: 500;
					color: var(--wp--preset--color--slate-700);
				}

				&:focus-within,
				&:has(.wc-block-add-to-cart-with-options-variation-selector-attribute-options__pill-input:checked) {
					border-color: var(--wp--preset--color--slate-800);
					outline: none;
					color: var(--wp--preset--color--slate-800);
				}
			}

			.wp-block-woocommerce-add-to-cart-with-options-variation-selector-attribute-options,
			select {
				width: 100%;
			}

			.wp-block-woocommerce-add-to-cart-with-options-variation-selector-attribute-options {

				select {
					font-size: var(--wp--preset--font-size--base);
					line-height: 26px;
					letter-spacing: 0.16px;
					border-radius: 12px;
					border: 1px solid var(--wp--preset--color--stone-200);
					outline: none;

					&:focus-within {
						border-color: var(--wp--preset--color--stone-950);
						outline: none;
					}
				}
			}
		}
	}

	.wp-block-button {
		flex-grow: 1;

		.wp-block-button__link.product_type_variable {
			width: 100%;
		}
	}

	.wp-block-post-terms__prefix {
		font-weight: 500;
	}

	.wp-block-woocommerce-add-to-cart-with-options-grouped-product-selector {

		.wp-block-add-to-cart-with-options-grouped-product-item-selector {
			min-width: auto;
		}

		.wp-block-woocommerce-add-to-cart-with-options-grouped-product-item-label {
			font-size: 16px;
			font-style: normal;
			font-weight: 500 !important;
			line-height: 24px;
			display: -webkit-box;
			line-clamp: 1;
			-webkit-line-clamp: 1;
			-webkit-box-orient: vertical;
			overflow: hidden;

			@media (max-width: 470px) {
				font-size: 15px;
			}
		}

		.product_type_variable {
			padding-left: var(--wp--preset--spacing--4);
			padding-right: var(--wp--preset--spacing--4);
		}

		.wc-block-components-product-price {
			font-size: 20px;
			font-style: normal;
			font-weight: 500;
			line-height: 28px;

			del {
				color: var(--wp--preset--color--slate-500);
			}
		}

		.wp-block-woocommerce-add-to-cart-with-options-grouped-product-item {
			margin-bottom: var(--wp--preset--spacing--5);
		}
	}

}
